| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

C AccelSensor |
C Analog_1_DataBuffer_t | This structure defines the dummy DSA data buffer format
C Analog_1_device_t | This structure stores sample Information necessary to communicate with non I2C slave device
C Analog_1_Sensor_Specific_Settings_t |
C Analog_1_SensorData_Fixed_t |
C Analog_1_SensorData_Float_t | Standard fixed type for three axis accelerometers
C AnalogVoltagetoOutputConvTable_t |
C App1_app_info_t |
C App1AppInstance_t |
C App1AppSettings_t |
C App1SensorData_t |
C appSubscriptionResponse_t | This structure holds the ISF application subscriptions information in the "GET_APP_SUBSCRIPTION" CI command response buffer
C BasicApp1_app_info_t |
C BasicApp1DataBuffers_t |
C BasicApp1SensorData_t |
C bm_cb_config_t |
C bm_t |
C build_info_t | This structure holds the build information of device/lib/component /user application etc
C busHandle_struct | This structure is a declaration of a BusHandle type
C ci_app_resp_packet_t | This structure enables an application to read from or write to the host
C ci_ctrl_reg_t | Command Interpreter Control Register Structure.
C ci_host_cmd_packet_t | This structure contains host command information
C ci_mbox_app_info_t |
C ci_protocol_t | This structure binds a protocol ID to a set of related functions and data. When a packet is received from the host, the CI task will invoke the callback that is associated with the protocol ID that is part of the CI packet header
C ci_regs_t | Command Interpreter Registers Structure. Contains all CI registers.
C ci_rx_packet_t | This structure holds information to receive a packet of data to the host. CI will fill the structure with the information as it receives it from the ISR and will notify the CI task when a packet has been fully received
C ci_stream_ctrl_reg1_t | Stream protocol control register 1 Structure
C ci_stream_instance_t | Stream instance structure is used internally to encapsulate the information of a stream and the current trigger state of the dataset(s) belonging to that stream. It also contains a pointer to the next stream to create a single linked list of streams
C ci_stream_regs_t | Stream protocol registers Structure. Contains stream protocol control registers
C ci_tx_packet_t | This structure holds information to send a packet of data to the host. A task will fill the structure with the information and enable transmit buffer empty. The ISR will send the data byte by byte until all data is sent
C conversionBuffer_t |
C Custom_1_ConfigTable_tag | Structure defines the configuration table
C Custom_1_DataBuffer_t | This structure defines the dummy DSA data buffer format
C Custom_1_Rate_Specific_Settings_t | This structure defines important settings
C Custom_1_Sensor_Specific_Reg_t |
C Custom_1_Sensor_Specific_Settings_t |
C Custom_1_SensorData_EngFixed_t |
C Custom_1_SensorData_Float_t | Standard fixed type for three axis accelerometers
C dataPair_t |
C device_cmd_packet_t |
C device_info_t | This structure holds the ROM device information such as device id and number of EmbApps present. This information is returned by the _fw_device_info_get() API
C device_periodic_read_cfg_packet_t | Rli overall application state buffer format
C DeviceDescriptor_struct | Define the sensor device descriptor
C dm_ChannelDescriptor_struct | This structure is a declaration of a channel descriptor type
C dm_DeviceDescriptor_struct | This structure defines a handle for the device
C fLfiTable_t |
C fquaternion |
C fsl_fusion_DeviceDescriptor_t |
C fsl_fusion_Sensor_Specific_Settings_t |
C fsl_orientation_DataBuffer_t |
C fusion_algorithmConfig_t |
C fusion_state_t |
C fxas21000_ODR_Table_tag | Structure defines the ODR table between Hybrid and normal mode of FXAS21000 operation
C fxas21002_ConfigTable_tag | Structure defines the configuration table
C fxas21002_DataBuffer_t | This structure defines the dummy DSA data buffer format
C fxas21002_ODR_Table_tag | Structure defines the ODR table between Hybrid and normal mode of FXAS21002 operation
C fxas21002_Sensor_Specific_Reg_t |
C fxas21002_Sensor_Specific_Settings_t |
C fxlc95000_appConfigRegister_t |
C fxlc95000_Command_t |
C fxlc95000_CommandList_t |
C fxlc95000_DataBuffer_t | This structure defines the dummy DSA data buffer format
C fxlc95000_DeviceDescriptor_t |
C fxlc95000_readConfigResponseBuffer_t |
C fxlc95000_Sensor_Specific_Settings_t |
C fxlc95000_SensorSetting_t |
C fxls8471_DataBuffer_t | This structure defines the dummy DSA data buffer format
C fxls8471_Sensor_Specific_Reg_t |
C fxls8471_Sensor_Specific_Settings_t |
C fxls8471_Specific_Settings_t | This structure defines important settings
C fxls8952_ConfigTable_tag | Structure defines the configuration table
C fxls8952_DataBuffer_t | This structure defines the dummy DSA data buffer format
C fxls8952_ODR_Table_tag | Structure defines the ODR table between Hybrid and normal mode of device operation
C fxls8952_Sensor_Specific_Reg_t |
C fxls8952_Sensor_Specific_Settings_t |
C fxos8700_ConfigTable_tag | Structure defines the configuration table
C fxos8700_DataBuffer_t | This structure defines the dummy DSA data buffer format
C fxos8700_ODR_Table_tag | Structure defines the ODR table between Hybrid and normal mode of device operation
C fxos8700_Sensor_Specific_Reg_t |
C fxos8700_Sensor_Specific_Settings_t |
C gyro_config_t | The structure defines the FXAS21002 configuration
C GyroSensor |
C i2c_deviceEndpoint_struct | This structure defines a device endpoint encapsulation for i2c handler
C i2c_Master_BusConfig_struct |
C i2c_Master_BusHandle_struct | This structure defines the data bus handle
C isf_Acceleration1D_EngFixed_t | Standard fixed type for single axis accelerometers
C isf_Acceleration1D_Float_t | Standard float type for single axis accelerometers
C isf_Acceleration1D_RawCount_t | Standard raw type for single axis accelerometers
C isf_Acceleration2D_EngFixed_t | Standard fixed type for two axis accelerometers
C isf_Acceleration2D_Float_t | Standard float type for two axis accelerometers
C isf_Acceleration2D_RawCount_t | Standard raw type for 2 axes accelerometers
C isf_Acceleration3D_EngFixed_t | Standard fixed type for three axis accelerometers
C isf_Acceleration3D_Float_t | Standard float type for three axis accelerometers
C isf_Acceleration3D_RawCount_t | Standard raw type for three axes accelerometers
C isf_AngularVelocity1D__float_t | Standard float type for single axis accelerometers
C isf_AngularVelocity1D_EngFixed_t | Standard fixed type for single axis accelerometers
C isf_AngularVelocity1D_RawCount_t | Standard raw type for single axis accelerometers
C isf_AngularVelocity2D__float_t | Standard float type for two axis accelerometers
C isf_AngularVelocity2D_EngFixed_t | Standard fixed type for two axis accelerometers
C isf_AngularVelocity2D_RawCount_t | Standard raw type for two axes accelerometers
C isf_AngularVelocity3D__float_t | Standard float type for three axis accelerometers
C isf_AngularVelocity3D_EngFixed_t | Standard fixed type for three axis accelerometers
C isf_AngularVelocity3D_RawCount_t | Standard raw type for three axes accelerometers
C isf_DegreesCelsius1D_EngFixed_t | Standard fixed type for single axis pressure sensor
C isf_DegreesCelsius1D_float_t | Standard floating point type for single axis temperature sensor
C isf_dsa_Adapter_st | This defines the DSA adapter structure required for static initialization of the concrete instance of a given sensor adapter
C isf_dsa_ControlData_st | This defines the DSA adapter functional interface
C isf_dsa_ControlInterface_st | This defines the DSA adapter control interface abstract function list
C isf_dsa_DeviceInfoBlock_st | This defines the DSA adapter device information block
C isf_dsa_info_t |
C isf_dsa_SensorSettings_st | This defines the DSA sensor configuration parameter structure configuring the sensor settings by a subscriber task
C isf_eh_event_t |
C isf_fifo_t |
C isf_info_t |
C isf_KiloPascals1D_EngFixed_t | Standard fixed type for single axis pressure sensor
C isf_KiloPascals1D_float_t | Standard floating point type for single axis pressure sensor
C isf_lib_info_t | This structure holds the ISF library information such as version and part number
C isf_MagneticFieldStrength1D_EngFixed_t | Isf_SensorDataTypes_t TYPE_MAGNETIC_FIELD_STRENGTH_1D
C isf_MagneticFieldStrength1D_float_t | Standard fixed type for single axis accelerometers
C isf_MagneticFieldStrength1D_RawCount_t | Isf_SensorDataTypes_t TYPE_MAGNETIC_FIELD_STRENGTH_1D
C isf_MagneticFieldStrength2D_EngFixed_t | Isf_SensorDataTypes_t TYPE_MAGNETIC_FIELD_STRENGTH_2D
C isf_MagneticFieldStrength2D_float_t | Standard fixed type for two axis accelerometers
C isf_MagneticFieldStrength2D_RawCount_t | Isf_SensorDataTypes_t TYPE_MAGNETIC_FIELD_STRENGTH_2D
C isf_MagneticFieldStrength3D_EngFixed_t | Isf_SensorDataTypes_t TYPE_MAGNETIC_FIELD_STRENGTH_3D
C isf_MagneticFieldStrength3D_float_t | Standard fixed type for three axis accelerometers
C isf_MagneticFieldStrength3D_RawCount_t | Isf_SensorDataTypes_t TYPE_MAGNETIC_FIELD_STRENGTH_3D
C isf_Meters1D_EngFixed_t | Standard fixed type for single axis altitude sensor
C isf_Meters1D_float_t | Standard floating point type for single axis altitude sensor
C isf_Orientation3D_Euler_EngFloat_t |
C isf_Orientation3D_Quaterion_EngFloat_t |
C isf_Orientation3D_Rotation_EngFloat_t |
C isf_SensorHandle_st | This defines the DSA sensor device handle structure used to invoke the adapter access functions
C isf_SubscriptionSettings_t |
C ISFUartState |
C mag3110_DataBuffer_t | This structure defines the dummy DSA data buffer format
C mag3110_Sensor_Specific_Reg_t |
C mag3110_Sensor_Specific_Settings_t |
C mag_config_t | The structure defines the MAG3110 configuration
C MagCalibration |
C MagneticBuffer |
C MagSensor |
C mma8491q_DataBuffer_t | MMA8491Q data buffer format
C mma8491q_Sensor_Specific_Settings_t |
C mma865x_DataBuffer_t | This structure defines the dummy DSA data buffer format
C mma865x_Sensor_Specific_Reg_t |
C mma865x_Sensor_Specific_Settings_t |
C mma865x_Specific_Settings_t | This structure defines important settings
C mma955x_appConfigRegister_t |
C mma955x_Command_t |
C mma955x_CommandList_t |
C mma955x_DataBuffer_t | This structure defines the Pedometer sample data buffer format
C mma955x_DeviceDescriptor_t |
C mma955x_PedometerData_t |
C mma955x_PedometerNativeData_t | This structure defines the Pedometer Native data buffer format
C mma955x_readConfigResponseBuffer_t |
C mma955x_Sensor_Specific_Settings_t |
C mpl3115_DataBuffer_t | This structure defines the dummy DSA data buffer format
C mpl3115_OS_Table_t | Structure defines the OS table for MPL3115 operation
C mpl3115_Sensor_Specific_Reg_t |
C mpl3115_Sensor_Specific_Settings_t |
C mpl3115_Specific_Settings_t | This structure defines important settings
C PressureSensor |
C protocol_t | This structure contains protocol-specific function pointers and properties
C pseudoSettings_t |
C qr_config_t | This structure holds the quick read configuration for all applicable mailboxes. The first 4 mailboxes are used for the command packet read/write. All other mailboxes can be configured as quick read
C readPedometerResponseBuffer_t |
C rli_app_info_t |
C rliAppState_t |
C rliAppStatus_t | Rli application configuration buffer format
C rliConfigRegister_t |
C SensorConfig_st | This defines the DSA sensor configuration structure defining each individual sensor adapter in the DSA Sensor List
C SensorInfo_t |
C sensorSampleData |
C spi_master_BusConfig_struct |
C spi_master_CommSpecificInfo_t |
C spi_master_Endpoint_struct | This structure defines a device endpoint encapsulation for spi handler
C spi_mater_BusHandle_struct | This structure defines the data bus handle
C spi_mater_SlaveCmd | This structure defines the spi slave command format
C spi_mater_slaveInfo | This structure defines the slave specific spi information
C subscriptionConfig_t | This structure holds the sensor subscriptions configuration info
C SV_1DOF_P_BASIC |
C SV_3DOF_B_BASIC |
C SV_3DOF_G_BASIC |
C SV_3DOF_Y_BASIC |
C SV_6DOF_GB_BASIC |
C SV_6DOF_GY_KALMAN |
C SV_9DOF_GBY_KALMAN |
C sys_channelDescriptor_t | This structure defines the channel descriptor
C SysTick_t | Structure type to access the System Timer (SysTick)
C uart_BusConfig_struct |
C uart_BusHandle_struct | This structure defines the data bus handle
C uart_deviceEndpoint_struct | This structure defines a device endpoint encapsulation for uart handler
C uart_userDefinedVars_struct |
C version_info_t | This structure holds the version information of device/lib/component /user application etc

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.